package com.gx.obe.server.common.cache;

public class CacheData {
	
	private volatile static GroupCacheFactory factory;  
	
	public static GroupCacheFactory getGroupCacheFactory() {
		if (factory == null) {
			synchronized (CacheData.class) {
				if (factory == null) {
					factory = new GroupCacheFactory();
				}
			}
		}
		return factory;
	}
}
