package com.gx.obe.server.management.dictionary.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.dictionary.entity.EncEnvelope;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface EncEnvelopeMapper extends BaseMapper<EncEnvelope> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEncEnvelopeList 
	 */
	Integer updateBatchList (@Param("ObeEncEnvelopeList") List<EncEnvelope> ObeEncEnvelopeList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEncEnvelopeList 
	 */
	Integer insertByBatch (@Param("ObeEncEnvelopeList")List<EncEnvelope> ObeEncEnvelopeList);
	
	
	/**
	 * @Description: 删除供应商的投标信封信息
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	Integer deleteSupplierEnvelop(@Param("tenderId")String tenderId,@Param("supplierId") String supplierId);
	
	
	/**
	 * @Description: 删除项目的投标信封信息
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	Integer deleteTenderEnvelop(@Param("tenderId")String tenderId);

}