package com.gx.obe.server.management.editprice.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.gx.obe.server.management.editprice.entity.EditPriceItemResult;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface EditPriceItemResultMapper extends BaseMapper<EditPriceItemResult> {

	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEditPriceItemResultList 
	 */
	Integer updateBatchList (@Param("ObeEditPriceItemResultList")List<EditPriceItemResult> ObeEditPriceItemResultList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEditPriceItemResultList 
	 */
	Integer insertByBatch (@Param("ObeEditPriceItemResultList")List<EditPriceItemResult> ObeEditPriceItemResultList);
	
	
 
	/**
	 * @Description: 根据修正报价项Id获取修正报价项列表
	 * @author mazc
	 * @param tenderId
	 * @param editPriceItemId
	 * @return 
	 */
	List<EditPriceItemResult> getItemResultListByItemId(@Param("tenderId")String tenderId, @Param("editPriceItemId")String editPriceItemId);

}