package com.gx.obe.server.management.evaluation.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.evaluation.entity.EvaluationStepFactor;

/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface EvaluationStepFactorMapper extends BaseMapper<EvaluationStepFactor> {
	 
 
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEvaluationStepFactorList 
	 */
	Integer updateBatchList (@Param("ObeEvaluationStepFactorList")List<EvaluationStepFactor> ObeEvaluationStepFactorList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEvaluationStepFactorList 
	 */
	Integer insertByBatch (@Param("ObeEvaluationStepFactorList")List<EvaluationStepFactor> ObeEvaluationStepFactorList);
}