package com.gx.obe.server.management.evaluation.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_bid_price_item")
public class BidPriceItem extends Model<BidPriceItem> {
	private static final long serialVersionUID=1L;

    /**
     * 投标报价条目id
     */
            @TableId("BID_PRICE_ITEM_ID")
                private String id;
    /**
     * 报标报价id
     */
    @TableField("BID_PRICE_ID")
        private String bidPriceId;
    /**
     * 条目名称
     */
    @TableField("ITEM_NAME")
        private String itemName;
    /**
     * 条目编号
     */
    @TableField("ITEM_CODE")
        private String itemCode;
    /**
     * 条目单位
     */
    @TableField("ITEM_UNIT")
        private String itemUnit;
    /**
     * 排序
     */
    @TableField("SORT_NO")
        private Integer sortNo;


 
    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getBidPriceId(){
        return bidPriceId;
        }

        public void setBidPriceId(String bidPriceId) {
        this.bidPriceId = bidPriceId;
        }

    public String getItemName(){
        return itemName;
        }

        public void setItemName(String itemName) {
        this.itemName = itemName;
        }

    public String getItemCode(){
        return itemCode;
        }

        public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
        }

    public String getItemUnit(){
        return itemUnit;
        }

        public void setItemUnit(String itemUnit) {
        this.itemUnit = itemUnit;
        }

    public Integer getSortNo(){
        return sortNo;
        }

        public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
        }

    public static final String BID_PRICE_ITEM_ID ="BID_PRICE_ITEM_ID";

    public static final String BID_PRICE_ID ="BID_PRICE_ID";

    public static final String ITEM_NAME ="ITEM_NAME";

    public static final String ITEM_CODE ="ITEM_CODE";

    public static final String ITEM_UNIT ="ITEM_UNIT";

    public static final String SORT_NO ="SORT_NO";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {//bidPriceItemId
    return "BidPriceItem{" +
            ", id=" + id +
            ", bidPriceId=" + bidPriceId +
            ", itemName=" + itemName +
            ", itemCode=" + itemCode +
            ", itemUnit=" + itemUnit +
            ", sortNo=" + sortNo +
    "}";
    }
    }
