package com.gx.obe.server.management.evaluation.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * @Description:
 * @author mazc
 */

@TableName("obe_bid_regulations")
public class BidRegulations extends Model<BidRegulations> {
	private static final long serialVersionUID = 1L;

	/**
	 * 废标条款主键
	 */
	@TableId("BID_REGULATIONS_ID")
	private String id;
	/**
	 * 废标条款序号
	 */
	@TableField("SORT_NO")
	private Integer sortNo;
	/**
	 * 情形事项
	 */
	@TableField("SHORT_NAME")
//    @JsonDeserialize(using = StringDeserializer.class)
	private String shortName;
	/**
	 * 具体内容
	 */
	@TableField("CONTENT")
//    @JsonDeserialize(using = StringDeserializer.class)
	private String content;
	/**
	 * 项目id
	 */
	@TableField("TENDER_ID")
//    @JsonDeserialize(using = StringDeserializer.class)
	private String tenderId;

 

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getSortNo() {
		return sortNo;
	}

	public void setSortNo(Integer sortNo) {
		this.sortNo = sortNo;
	}

	public String getShortName() {
		return shortName;
	}

	public void setShortName(String shortName) {
		this.shortName = shortName;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public static final String BID_REGULATIONS_ID = "BID_REGULATIONS_ID";

	public static final String SORT_NO = "SORT_NO";

	public static final String SHORT_NAME = "SHORT_NAME";

	public static final String CONTENT = "CONTENT";

	public static final String TENDER_ID = "TENDER_ID";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "BidRegulations{" + ", id=" + id + ", sortNo=" + sortNo + ", shortName="
				+ shortName + ", content=" + content + ", tenderId=" + tenderId + "}";
	}
}
