package com.gx.obe.server.management.evaluation.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_evaluation_group")
public class EvaluationGroup extends Model<EvaluationGroup> {
	private static final long serialVersionUID=1L;

    /**
     * 评审分组主键
     */
            @TableId("EVALUATION_GROUP_ID")
                private String id;
    /**
     * 项目id
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 供应商id
     */
    @TableField("SUPPLIER_ID")
        private String supplierId;
    /**
     * 步骤id
     */
    @TableField("STEP_ID")
        private String stepId;
    /**
     * 用户id
     */
    @TableField("USER_ID")
        private String userId;
    /**
     * 评标类型[00:默认;01:商务标;02:技术标03:经济标;04:综合信用]
     */
    @TableField("EVAL_BID_TYPE")
        private String evalBidType;


 

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public String getStepId(){
        return stepId;
        }

        public void setStepId(String stepId) {
        this.stepId = stepId;
        }

    public String getUserId(){
        return userId;
        }

        public void setUserId(String userId) {
        this.userId = userId;
        }

    public String getEvalBidType(){
        return evalBidType;
        }

        public void setEvalBidType(String evalBidType) {
        this.evalBidType = evalBidType;
        }

    public static final String EVALUATION_GROUP_ID ="EVALUATION_GROUP_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String STEP_ID ="STEP_ID";

    public static final String USER_ID ="USER_ID";

    public static final String EVAL_BID_TYPE ="EVAL_BID_TYPE";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {//evaluationGroupId
    return "EvaluationGroup{" +
            ",  id=" + id +
            ", tenderId=" + tenderId +
            ", supplierId=" + supplierId +
            ", stepId=" + stepId +
            ", userId=" + userId +
            ", evalBidType=" + evalBidType +
    "}";
    }
    }
