package com.gx.obe.server.management.evaluation.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_project_evaluation_room")
public class ProjectEvaluationRoom extends Model<ProjectEvaluationRoom> {
	private static final long serialVersionUID=1L;

    /**
     * 项目评标室关联主键
     */
            @TableId("PRJ_EVAL_ROOM_ID")
                private String prjEvalRoomId;
    /**
     * 项目外键
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 评标室外键
     */
    @TableField("EVALBID_ROOM_ID")
        private String evalbidRoomId;
    /**
     * 是否主评标室
     */
    @TableField("IS_PRIMARY_ROOM")
        private String isPrimaryRoom;


    public String getPrjEvalRoomId(){
        return prjEvalRoomId;
        }

        public void setPrjEvalRoomId(String prjEvalRoomId) {
        this.prjEvalRoomId = prjEvalRoomId;
        }

    public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getEvalbidRoomId(){
        return evalbidRoomId;
        }

        public void setEvalbidRoomId(String evalbidRoomId) {
        this.evalbidRoomId = evalbidRoomId;
        }

    public String getIsPrimaryRoom(){
        return isPrimaryRoom;
        }

        public void setIsPrimaryRoom(String isPrimaryRoom) {
        this.isPrimaryRoom = isPrimaryRoom;
        }

    public static final String PRJ_EVAL_ROOM_ID ="PRJ_EVAL_ROOM_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String EVALBID_ROOM_ID ="EVALBID_ROOM_ID";

    public static final String IS_PRIMARY_ROOM ="IS_PRIMARY_ROOM";

@Override
protected Serializable pkVal(){
        return this.prjEvalRoomId;
    }

@Override
public String toString() {
    return "ProjectEvaluationRoom{" +
            ", prjEvalRoomId=" + prjEvalRoomId +
            ", tenderId=" + tenderId +
            ", evalbidRoomId=" + evalbidRoomId +
            ", isPrimaryRoom=" + isPrimaryRoom +
    "}";
    }
    }
