package com.gx.obe.server.management.expert.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.gx.obe.server.management.expert.entity.EvaluationStepExpert;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface EvaluationStepExpertMapper extends BaseMapper<EvaluationStepExpert> {

	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEvaluationStepExpertList 
	 */
	Integer updateBatchList (@Param("ObeEvaluationStepExpertList")List<EvaluationStepExpert> ObeEvaluationStepExpertList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEvaluationStepExpertList 
	 */
	Integer insertByBatch (@Param("ObeEvaluationStepExpertList")List<EvaluationStepExpert> ObeEvaluationStepExpertList);

	Integer deleteAllByTenderId(@Param("tenderId")String tenderId);

}