package com.gx.obe.server.management.fileload.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;

/** 
 * @Description: 
 * @author mazc 
 */
@TableName("obe_video_file")
public class VideoFile extends Model<VideoFile> {

	private static final long serialVersionUID = 1L;

		    @TableId("ID")
        	    	    	private String id;
			@TableField("TENDER_ID")
	    	    	private String tenderId;
			@TableField("USER_ACCOUNT")
	    	    	private String userAccount;
			@TableField("CREATE_TIME")
			  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
		 	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	    	    	private Date createTime;
			@TableField("FILE_PATH")
	    	    	private String filePath;
			@TableField("FILE_SIZE")
	    	    	private String fileSize;
			@TableField("FILE_NAME")
            private String fileName;

    public String getId(){
        return id;
	}

	public void setId(String id) {
        this.id = id;
	}

    public String getTenderId(){
        return tenderId;
	}

	public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
	}

    public String getUserAccount(){
        return userAccount;
	}

	public void setUserAccount(String userAccount) {
        this.userAccount = userAccount;
	}

    public Date getCreateTime(){
        return createTime;
	}

	public void setCreateTime(Date createTime) {
        this.createTime = createTime;
	}

    public String getFilePath(){
        return filePath;
	}

	public void setFilePath(String filePath) {
        this.filePath = filePath;
	}

    public String getFileSize(){
        return fileSize;
	}

	public void setFileSize(String fileSize) {
        this.fileSize = fileSize;
	}


    public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}


	public static final String ID ="ID";
	
    public static final String TENDER_ID ="TENDER_ID";
	
    public static final String USER_ACCOUNT ="USER_ACCOUNT";
	
    public static final String CREATE_TIME ="CREATE_TIME";
	
    public static final String FILE_PATH ="FILE_PATH";
	
    public static final String FILE_SIZE ="FILE_SIZE";
	
	@Override
	protected Serializable pkVal(){
        return this.id;
    }

	@Override
	public String toString() {
    return "VideoFile{" +
		", id=" + id +
		", tenderId=" + tenderId +
		", userAccount=" + userAccount +
		", createTime=" + createTime +
		", filePath=" + filePath +
		", fileSize=" + fileSize +
	"}";
	}
}