package com.gx.obe.server.management.fileload.utill;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.math.BigInteger;
import java.security.MessageDigest;

/** 
 * @Description: 
 * @author mazc 
 */
public class FileMd5Util {

    public static String getFileMD5(File file) {
        if (!file.exists() || !file.isFile()) {
            return null;
        }
        MessageDigest digest = null;
        FileInputStream in = null;
        byte buffer[] = new byte[1024];
        int len;
        try {
            digest = MessageDigest.getInstance("MD5");
            in = new FileInputStream(file);
            while ((len = in.read(buffer, 0, 1024)) != -1) {
                digest.update(buffer, 0, len);
            }
           
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }finally {
        	 try {
				in.close();
			} catch (IOException e) {
 				e.printStackTrace();
			}
		}
        BigInteger bigInt = new BigInteger(1, digest.digest());
        return bigInt.toString(16);
    }
}
