package com.gx.obe.server.management.im.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.im.entity.MessageFile;

import java.util.List;

/** 
 * @Description: 
 * @author mazc 
 */
@Mapper
public interface MessageFileMapper extends BaseMapper<MessageFile> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param MessageFileList 
	 */
	Integer updateBatchList(@Param("MessageFileList") List<MessageFile> MessageFileList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param MessageFileList 
	 */
	Integer insertByBatch(@Param("MessageFileList") List<MessageFile> MessageFileList);

	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param MessageFile
	 * @param attributes
     */
    Integer updateAssignProperty(@Param("MessageFile")MessageFile MessageFile, @Param("attributes")String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param MessageFileList
	 * @param attributes
     */
    Integer batchUpdateProperty(@Param("MessageFileList")List<MessageFile> MessageFileList, @Param("attributes")String[] attributes);

}