package com.gx.obe.server.management.log.service;

import java.util.Date;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.common.vo.Result;
import com.gx.obe.server.management.log.entity.SysLog;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface SysLogService extends IService<SysLog> {
	
	 Result<Boolean> saveLog(SysLog sysLog);
	 
	 /**
	 * @Description: 
	 * @author mazc
	 * @param page
	 * @param searchKey 
	 * @param startTime
	 * @param endTime
	 * @return 
	 */
	IPage<SysLog> getEvaluationProjectPageList(Page<SysLog> page, Integer level, String createUser, Date startTime, Date endTime);
	
	IPage<SysLog> selectConditionQuery(Page<SysLog> page, String createUser,
			String title,
				String params,
				String createTime,
				String endTime,
				String returnValue,
				Boolean isException);
}



