package com.gx.obe.server.management.price.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_bid_price_item_his_result")
public class BidPriceItemHisResult extends Model<BidPriceItemHisResult> {
	private static final long serialVersionUID=1L;

    /**
     * 主键
     */
            @TableId("BID_PRICE_ITEM_RESULT_ID")
                private String bidPriceItemResultId;
    /**
     * 投标报价条目id
     */
    @TableField("BID_PRICE_ITEM_ID")
        private String bidPriceItemId;
    /**
     * 项目id
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 供应商id
     */
    @TableField("SUPPLIER_ID")
        private String supplierId;
    /**
     * 报标报价id
     */
    @TableField("BID_PRICE_ID")
        private String bidPriceId;
    /**
     * 条目名称
     */
    @TableField("ITEM_NAME")
        private String itemName;
    /**
     * 条目编号
     */
    @TableField("ITEM_CODE")
        private String itemCode;
    /**
     * 条目值
     */
    @TableField("ITEM_VALUE")
        private String itemValue;
    /**
     * 条目内容
     */
    @TableField("ITEM_CONTENT")
        private String itemContent;
    /**
     * 条目单位
     */
    @TableField("ITEM_UNIT")
        private String itemUnit;
    /**
     * 轮次
     */
    @TableField("ROUND")
        private Integer round;


    public String getBidPriceItemResultId(){
        return bidPriceItemResultId;
        }

        public void setBidPriceItemResultId(String bidPriceItemResultId) {
        this.bidPriceItemResultId = bidPriceItemResultId;
        }

    public String getBidPriceItemId(){
        return bidPriceItemId;
        }

        public void setBidPriceItemId(String bidPriceItemId) {
        this.bidPriceItemId = bidPriceItemId;
        }

    public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public String getBidPriceId(){
        return bidPriceId;
        }

        public void setBidPriceId(String bidPriceId) {
        this.bidPriceId = bidPriceId;
        }

    public String getItemName(){
        return itemName;
        }

        public void setItemName(String itemName) {
        this.itemName = itemName;
        }

    public String getItemCode(){
        return itemCode;
        }

        public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
        }

    public String getItemValue(){
        return itemValue;
        }

        public void setItemValue(String itemValue) {
        this.itemValue = itemValue;
        }

    public String getItemContent(){
        return itemContent;
        }

        public void setItemContent(String itemContent) {
        this.itemContent = itemContent;
        }

    public String getItemUnit(){
        return itemUnit;
        }

        public void setItemUnit(String itemUnit) {
        this.itemUnit = itemUnit;
        }

    public Integer getRound(){
        return round;
        }

        public void setRound(Integer round) {
        this.round = round;
        }

    public static final String BID_PRICE_ITEM_RESULT_ID ="BID_PRICE_ITEM_RESULT_ID";

    public static final String BID_PRICE_ITEM_ID ="BID_PRICE_ITEM_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String BID_PRICE_ID ="BID_PRICE_ID";

    public static final String ITEM_NAME ="ITEM_NAME";

    public static final String ITEM_CODE ="ITEM_CODE";

    public static final String ITEM_VALUE ="ITEM_VALUE";

    public static final String ITEM_CONTENT ="ITEM_CONTENT";

    public static final String ITEM_UNIT ="ITEM_UNIT";

    public static final String ROUND ="ROUND";

@Override
protected Serializable pkVal(){
        return this.bidPriceItemResultId;
    }

@Override
public String toString() {
    return "BidPriceItemHisResult{" +
            ", bidPriceItemResultId=" + bidPriceItemResultId +
            ", bidPriceItemId=" + bidPriceItemId +
            ", tenderId=" + tenderId +
            ", supplierId=" + supplierId +
            ", bidPriceId=" + bidPriceId +
            ", itemName=" + itemName +
            ", itemCode=" + itemCode +
            ", itemValue=" + itemValue +
            ", itemContent=" + itemContent +
            ", itemUnit=" + itemUnit +
            ", round=" + round +
    "}";
    }
    }
