package com.gx.obe.server.management.scancode.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/** 
 * @Description: 扫码状态
 * @author mazc 
 */
@Data
@AllArgsConstructor
@NoArgsConstructor 
public class ScanCodeStatusRequest {
	
	/**
	 *  事件Id
	 */
	private String tId;
	
	/**
	 *  扫码类型
	 */
	private String qRCodeType;
	
	/** 扫码状态
	 * 00未扫   01已扫    02已取消
	 */
	private String isScaned;
	
}
