package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeCertificate;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeCertificateMapper extends BaseMapper<ObeCertificate> {

    /**
     * @param ObeCertificateList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeCertificateList") List<ObeCertificate> ObeCertificateList);

    /**
     * @param ObeCertificateList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeCertificateList") List<ObeCertificate> ObeCertificateList);

    /**
     * @param ObeCertificate
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeCertificate") ObeCertificate ObeCertificate, @Param("attributes") String[] attributes);

    /**
     * @param ObeCertificateList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeCertificateList") List<ObeCertificate> ObeCertificateList, @Param("attributes") String[] attributes);

}