package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeQualification;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeQualificationMapper extends BaseMapper<ObeQualification> {

    /**
     * @param ObeQualificationList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeQualificationList") List<ObeQualification> ObeQualificationList);

    /**
     * @param ObeQualificationList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeQualificationList") List<ObeQualification> ObeQualificationList);

    /**
     * @param ObeQualification
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeQualification") ObeQualification ObeQualification, @Param("attributes") String[] attributes);

    /**
     * @param ObeQualificationList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeQualificationList") List<ObeQualification> ObeQualificationList, @Param("attributes") String[] attributes);

}