package com.gx.obe.server.management.supplier.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.supplier.entity.AreaSupplier;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface AreaSupplierMapper extends BaseMapper<AreaSupplier> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param AreaSupplierList 
	 */
	Integer updateBatchList (@Param("AreaSupplierList") List<AreaSupplier> AreaSupplierList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param AreaSupplierList 
	 */
	Integer insertByBatch (@Param("AreaSupplierList")List<AreaSupplier> AreaSupplierList);
	
	
	/**
	 * @Description: 判断区内企业是否存在
	 * @author mazc
	 * @param areaSupplierName
	 * @param supplierType
	 * @return 
	 */
	Integer hasSupplier(@Param("areaSupplierName") String areaSupplierName, @Param("supplierType") String supplierType);

}