package com.gx.obe.server.management.table.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.table.entity.ObeBidPriceTable;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeBidPriceTableMapper extends BaseMapper<ObeBidPriceTable> {

    /**
     * @param ObeBidPriceTableList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeBidPriceTableList") List<ObeBidPriceTable> ObeBidPriceTableList);

    /**
     * @param ObeBidPriceTableList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeBidPriceTableList") List<ObeBidPriceTable> ObeBidPriceTableList);

    /**
     * @param ObeBidPriceTable
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeBidPriceTable") ObeBidPriceTable ObeBidPriceTable, @Param("attributes") String[] attributes);

    /**
     * @param ObeBidPriceTableList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeBidPriceTableList") List<ObeBidPriceTable> ObeBidPriceTableList, @Param("attributes") String[] attributes);

}