package com.gx.obe.server.tripartitefunction.bidata.vo;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/** 
 * @Description:  企业异常名录
 * @author mazc 
 */
public class Exceptionlist implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 206410004264107472L;
	/**
	 * 企业名称 ,
	 */
	@JsonProperty("ENTNAME")
	private String ENTNAME;
	/**
	 * 注册号 ,
	 */
	@JsonProperty("REGNO")
	private String REGNO;
	/**
	 * 统一社会信用代码 ,
	 */
	@JsonProperty("SHXYDM")
	private String SHXYDM;
	/**
	 * 列入日期 ,
	 */
	@JsonProperty("INDATE")
	private String INDATE;
	/**
	 * 列入原因 ,
	 */
	@JsonProperty("INREASON")
	private String INREASON;
	/**
	 * 退出异常名录原因 ,
	 */
	@JsonProperty("OUTREASON")
	private String OUTREASON;
	/**
	 * 列入机关名称 ,
	 */
	@JsonProperty("YR_REGORG")
	private String YR_REGORG;
	/**
	 * 移出机关名称 ,
	 */
	@JsonProperty("YC_REGORG")
	private String YC_REGORG;
	/**
	 * 移出日期
	 */
	@JsonProperty("OUTDATE")
	private String OUTDATE;

	public String getENTNAME() {
		return ENTNAME;
	}

	public void setENTNAME(String eNTNAME) {
		ENTNAME = eNTNAME;
	}

	public String getREGNO() {
		return REGNO;
	}

	public void setREGNO(String rEGNO) {
		REGNO = rEGNO;
	}

	public String getSHXYDM() {
		return SHXYDM;
	}

	public void setSHXYDM(String sHXYDM) {
		SHXYDM = sHXYDM;
	}

	public String getINDATE() {
		return INDATE;
	}

	public void setINDATE(String iNDATE) {
		INDATE = iNDATE;
	}

	public String getINREASON() {
		return INREASON;
	}

	public void setINREASON(String iNREASON) {
		INREASON = iNREASON;
	}

	public String getOUTREASON() {
		return OUTREASON;
	}

	public void setOUTREASON(String oUTREASON) {
		OUTREASON = oUTREASON;
	}

	public String getYR_REGORG() {
		return YR_REGORG;
	}

	public void setYR_REGORG(String yR_REGORG) {
		YR_REGORG = yR_REGORG;
	}

	public String getYC_REGORG() {
		return YC_REGORG;
	}

	public void setYC_REGORG(String yC_REGORG) {
		YC_REGORG = yC_REGORG;
	}

	public String getOUTDATE() {
		return OUTDATE;
	}

	public void setOUTDATE(String oUTDATE) {
		OUTDATE = oUTDATE;
	}

}