package com.gx.obe.server.tripartitefunction.bidata.vo;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/** 
 * @Description: 动产抵押-被担保主债权信息 ,
 * @author mazc 
 */
public class Mortgagedebt implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6072889753866805340L;
	/**
	 * 登记编号 ,
	 */
	@JsonProperty("MAB_REGNO")
	private String MAB_REGNO;
	/**
	 * 种类 ,
	 */
	@JsonProperty("MAB_DEBT_TYPE")
	private String MAB_DEBT_TYPE;
	/**
	 * 担保范围 ,
	 */
	@JsonProperty("MAB_DEBT_RANGE")
	private String MAB_DEBT_RANGE;
	/**
	 * 备注 ,
	 */
	@JsonProperty("MAB_DEBT_RMK")
	private String MAB_DEBT_RMK;
	/**
	 * 数额 ,
	 */
	@JsonProperty("MAB_DEBT_AMT")
	private String MAB_DEBT_AMT;
	/**
	 * 履行债务开始日期 ,
	 */
	@JsonProperty("DEBT_SDATE")
	private String DEBT_SDATE;
	/**
	 * 履行债务结束日期 ,
	 */
	@JsonProperty("DEBT_EDATE")
	private String DEBT_EDATE;
	/**
	 * 采集地址
	 */
	@JsonProperty("URL")
	private String URL;

	public String getMAB_REGNO() {
		return MAB_REGNO;
	}

	public void setMAB_REGNO(String mAB_REGNO) {
		MAB_REGNO = mAB_REGNO;
	}

	public String getMAB_DEBT_TYPE() {
		return MAB_DEBT_TYPE;
	}

	public void setMAB_DEBT_TYPE(String mAB_DEBT_TYPE) {
		MAB_DEBT_TYPE = mAB_DEBT_TYPE;
	}

	public String getMAB_DEBT_RANGE() {
		return MAB_DEBT_RANGE;
	}

	public void setMAB_DEBT_RANGE(String mAB_DEBT_RANGE) {
		MAB_DEBT_RANGE = mAB_DEBT_RANGE;
	}

	public String getMAB_DEBT_RMK() {
		return MAB_DEBT_RMK;
	}

	public void setMAB_DEBT_RMK(String mAB_DEBT_RMK) {
		MAB_DEBT_RMK = mAB_DEBT_RMK;
	}

	public String getMAB_DEBT_AMT() {
		return MAB_DEBT_AMT;
	}

	public void setMAB_DEBT_AMT(String mAB_DEBT_AMT) {
		MAB_DEBT_AMT = mAB_DEBT_AMT;
	}

	public String getDEBT_SDATE() {
		return DEBT_SDATE;
	}

	public void setDEBT_SDATE(String dEBT_SDATE) {
		DEBT_SDATE = dEBT_SDATE;
	}

	public String getDEBT_EDATE() {
		return DEBT_EDATE;
	}

	public void setDEBT_EDATE(String dEBT_EDATE) {
		DEBT_EDATE = dEBT_EDATE;
	}

	public String getURL() {
		return URL;
	}

	public void setURL(String uRL) {
		URL = uRL;
	}

}