package com.gx.obe.server.tripartitefunction.bidata.vo;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/** 
 * @Description:  动产抵押-抵押物信息 ,
 * @author mazc 
 */
public class Mortgagepawn implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3167296279867664403L;
	/**
	 * 登记编号 ,
	 */
	@JsonProperty("MAB_REGNO")
	private String MAB_REGNO;
	/**
	 * 名称 ,
	 */
	@JsonProperty("MAB_PAWN_NAME")
	private String MAB_PAWN_NAME;
	/**
	 * 所有权或使用权归属 ,
	 */
	@JsonProperty("MAB_PAWN_OWNER")
	private String MAB_PAWN_OWNER;
	/**
	 * 数量、质量、状况、所在地等情况 ,
	 */
	@JsonProperty("MAB_PAWN_DETAILS")
	private String MAB_PAWN_DETAILS;
	/**
	 * 备注 ,
	 */
	@JsonProperty("MAB_PAWN_RMK")
	private String MAB_PAWN_RMK;
	/**
	 * 采集地址
	 */
	@JsonProperty("MAB_PAWN_URL")
	private String MAB_PAWN_URL;

	public String getMAB_REGNO() {
		return MAB_REGNO;
	}

	public void setMAB_REGNO(String mAB_REGNO) {
		MAB_REGNO = mAB_REGNO;
	}

	public String getMAB_PAWN_NAME() {
		return MAB_PAWN_NAME;
	}

	public void setMAB_PAWN_NAME(String mAB_PAWN_NAME) {
		MAB_PAWN_NAME = mAB_PAWN_NAME;
	}

	public String getMAB_PAWN_OWNER() {
		return MAB_PAWN_OWNER;
	}

	public void setMAB_PAWN_OWNER(String mAB_PAWN_OWNER) {
		MAB_PAWN_OWNER = mAB_PAWN_OWNER;
	}

	public String getMAB_PAWN_DETAILS() {
		return MAB_PAWN_DETAILS;
	}

	public void setMAB_PAWN_DETAILS(String mAB_PAWN_DETAILS) {
		MAB_PAWN_DETAILS = mAB_PAWN_DETAILS;
	}

	public String getMAB_PAWN_RMK() {
		return MAB_PAWN_RMK;
	}

	public void setMAB_PAWN_RMK(String mAB_PAWN_RMK) {
		MAB_PAWN_RMK = mAB_PAWN_RMK;
	}

	public String getMAB_PAWN_URL() {
		return MAB_PAWN_URL;
	}

	public void setMAB_PAWN_URL(String mAB_PAWN_URL) {
		MAB_PAWN_URL = mAB_PAWN_URL;
	}

}