package com.gx.obe.server.tripartitefunction.bidata.vo;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;
 
/** 
 * @Description: 股权出质信息（新） 
 * @author mazc 
 */
public class Stockpawn implements Serializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = -8759129896338765016L;
	/**
     * 登记编号 ,
     */
    @JsonProperty("STK_PAWN_REGNO")
    private String STK_PAWN_REGNO;
    /**
     * 出质人 ,
     */
    @JsonProperty("STK_PAWN_CZPER")
    private String STK_PAWN_CZPER;
    /**
     * 出质人证件/证件号 ,
     */
    @JsonProperty("STK_PAWN_CZCERNO")
    private String STK_PAWN_CZCERNO;
    /**
     * 出质股权数额
     */
    @JsonProperty("STK_PAWN_CZAMT")
    private String STK_PAWN_CZAMT;
    /**
     * 质权人姓名 ,
     */
    @JsonProperty("STK_PAWN_ZQPER")
    private String STK_PAWN_ZQPER;
    /**
     * 质权人证件/证件号 ,
     */
    @JsonProperty("STK_PAWN_ZQCERNO")
    private String STK_PAWN_ZQCERNO;
    /**
     *  质权出质设立登记日期 ,
     */
    @JsonProperty("STK_PAWN_REGDATE")
    private String STK_PAWN_REGDATE;
    /**
     * 状态 ,
     */
    @JsonProperty("STK_PAWN_STATUS")
    private String STK_PAWN_STATUS;
    /**
     *  公示日期 ,
     */
    @JsonProperty("STK_PAWN_DATE")
    private String STK_PAWN_DATE;
    /**
     * 关联内容
     */
    @JsonProperty("URL")
    private String URL;
	public String getSTK_PAWN_REGNO() {
		return STK_PAWN_REGNO;
	}
	public void setSTK_PAWN_REGNO(String sTK_PAWN_REGNO) {
		STK_PAWN_REGNO = sTK_PAWN_REGNO;
	}
	public String getSTK_PAWN_CZPER() {
		return STK_PAWN_CZPER;
	}
	public void setSTK_PAWN_CZPER(String sTK_PAWN_CZPER) {
		STK_PAWN_CZPER = sTK_PAWN_CZPER;
	}
	public String getSTK_PAWN_CZCERNO() {
		return STK_PAWN_CZCERNO;
	}
	public void setSTK_PAWN_CZCERNO(String sTK_PAWN_CZCERNO) {
		STK_PAWN_CZCERNO = sTK_PAWN_CZCERNO;
	}
	public String getSTK_PAWN_CZAMT() {
		return STK_PAWN_CZAMT;
	}
	public void setSTK_PAWN_CZAMT(String sTK_PAWN_CZAMT) {
		STK_PAWN_CZAMT = sTK_PAWN_CZAMT;
	}
	public String getSTK_PAWN_ZQPER() {
		return STK_PAWN_ZQPER;
	}
	public void setSTK_PAWN_ZQPER(String sTK_PAWN_ZQPER) {
		STK_PAWN_ZQPER = sTK_PAWN_ZQPER;
	}
	public String getSTK_PAWN_ZQCERNO() {
		return STK_PAWN_ZQCERNO;
	}
	public void setSTK_PAWN_ZQCERNO(String sTK_PAWN_ZQCERNO) {
		STK_PAWN_ZQCERNO = sTK_PAWN_ZQCERNO;
	}
	public String getSTK_PAWN_REGDATE() {
		return STK_PAWN_REGDATE;
	}
	public void setSTK_PAWN_REGDATE(String sTK_PAWN_REGDATE) {
		STK_PAWN_REGDATE = sTK_PAWN_REGDATE;
	}
	public String getSTK_PAWN_STATUS() {
		return STK_PAWN_STATUS;
	}
	public void setSTK_PAWN_STATUS(String sTK_PAWN_STATUS) {
		STK_PAWN_STATUS = sTK_PAWN_STATUS;
	}
	public String getSTK_PAWN_DATE() {
		return STK_PAWN_DATE;
	}
	public void setSTK_PAWN_DATE(String sTK_PAWN_DATE) {
		STK_PAWN_DATE = sTK_PAWN_DATE;
	}
	public String getURL() {
		return URL;
	}
	public void setURL(String uRL) {
		URL = uRL;
	}
     
}