package com.gx.obe.server.common.enumeration;

import com.gx.obe.server.common.utils.StringUtils;

public class SupplierEnum {
	
	/**
	 * 开标状态01：开标成功,02：开标失败 ;01 :开标成功后重新报价
	 */
    public static final String OPENBID_SUCCESS  = "01";
    public static final String OPENBID_FIALE  = "02";
    
    
    /**
	 * 废标状态00：未废标,01：已废标
	 */
    public static final String REVOKE_NO  = "00";
    public static final String REVOKE_YES  = "01";
    
    /**
	 * 签到类型【00：本地签到；01：远程签到】
	 */
    public static final String SIGN_LOCAL  = "00";
    public static final String SIGN_REMOTE  = "01";
    public static final String SIGN_BY_MANAGER  = "02";
    public static final String getSignTypeCN(String str){
    	String signTypeStr = "未签到";
    	if(StringUtils.isNotEmpty(str)){
    		if(str.equals(SIGN_REMOTE)){
    			signTypeStr = "远程签到";
    		}else if(str.equals(SIGN_LOCAL)){
    			signTypeStr = "现场签到";
    		}else if(str.equals(SIGN_REMOTE)){
    			signTypeStr = "项目经理辅助签到";
    			
    		}
    	}
    	return signTypeStr;
    }
    
}
