package com.gx.obe.server.common.utils;

import java.util.Arrays;
import java.util.Map;
import java.util.function.Function;
import java.util.stream.Collectors;

/**
 * @author chenxw
 * @Description: 枚举工具类
 */
public class EnumUtils {

    /**
     * @param getKey
     * @param enums
     * @return
     * @Description: 枚举转换为map
     * @author chenxw
     */
    public static <K, V> Map<K, V> toMap(V[] enums, Function<V, K> getKey) {
        return Arrays.stream(enums).collect(Collectors.toMap(getKey, Function.identity()));
    }

}
