package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("award_certificate")
public class AwardCertificate extends Model<AwardCertificate> {
	private static final long serialVersionUID=1L;

    /**
     * 获奖主键
     */
            @TableId("AWARD_ID")
            private String id;
    /**
     * 奖项分类[ 01：中国质量奖 02中国质量奖提名奖 03全国质量奖  04全国质量奖提名奖  05 全国质量奖鼓励奖 06 财富中国500强  07财富世界500强 08 中国企业500强 09 中国制造业企业 500强  10 中国电力科学技术奖] 
     */
    @TableField("AWARD_TYPE")
        private String awardType;
    /**
     * 奖项名称 
     */
    @TableField("AWARD_NAME")
        private String awardName;
    /**
     * 企业编码
     */
    @TableField("ORG_CODE")
        private String orgCode;
    /**
     * 企业名称
     */
    @TableField("ORG_NAME")
        private String orgName;
    /**
     * 获奖单位
     */
    @TableField("AWARD_OWNER")
        private String awardOwner;
    /**
     * 获奖产品名称
     */
    @TableField("AWARD_PRODUCT")
        private String awardProduct;
    /**
     * 证明材料
     */
    @TableField("PROOF_MATERIAL")
        private String proofMaterial;
    /**
     * 备注
     */
    @TableField("REMARK")
        private String remark;
    /**
     * 应用状态
     */
    @TableField("USE_STATUS")
        private String useStatus;

 
    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getAwardType(){
        return awardType;
        }

        public void setAwardType(String awardType) {
        this.awardType = awardType;
        }

    public String getAwardName(){
        return awardName;
        }

        public void setAwardName(String awardName) {
        this.awardName = awardName;
        }

    public String getOrgCode(){
        return orgCode;
        }

        public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
        }

    public String getOrgName(){
        return orgName;
        }

        public void setOrgName(String orgName) {
        this.orgName = orgName;
        }

    public String getAwardOwner(){
        return awardOwner;
        }

        public void setAwardOwner(String awardOwner) {
        this.awardOwner = awardOwner;
        }

    public String getAwardProduct(){
        return awardProduct;
        }

        public void setAwardProduct(String awardProduct) {
        this.awardProduct = awardProduct;
        }

    public String getProofMaterial(){
        return proofMaterial;
        }

        public void setProofMaterial(String proofMaterial) {
        this.proofMaterial = proofMaterial;
        }

    public String getRemark(){
        return remark;
        }

        public void setRemark(String remark) {
        this.remark = remark;
        }

    public String getUseStatus(){
        return useStatus;
        }

        public void setUseStatus(String useStatus) {
        this.useStatus = useStatus;
        }

    public static final String AWARD_ID ="AWARD_ID";

    public static final String AWARD_TYPE ="AWARD_TYPE";

    public static final String AWARD_NAME ="AWARD_NAME";

    public static final String ORG_CODE ="ORG_CODE";

    public static final String ORG_NAME ="ORG_NAME";

    public static final String AWARD_OWNER ="AWARD_OWNER";

    public static final String AWARD_PRODUCT ="AWARD_PRODUCT";

    public static final String PROOF_MATERIAL ="PROOF_MATERIAL";

    public static final String REMARK ="REMARK";

    public static final String USE_STATUS ="USE_STATUS";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {//awardId
    return "AwardCertificate{" +
            ", id=" + id +
            ", awardType=" + awardType +
            ", awardName=" + awardName +
            ", orgCode=" + orgCode +
            ", orgName=" + orgName +
            ", awardOwner=" + awardOwner +
            ", awardProduct=" + awardProduct +
            ", proofMaterial=" + proofMaterial +
            ", remark=" + remark +
            ", useStatus=" + useStatus +
    "}";
    }
    }
