package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * @Description:
 * @author mazc
 */

@TableName("obe_transaction_server")
public class TransactionServerEntity extends Model<TransactionServerEntity> {
	private static final long serialVersionUID = 1L;

	/**
	 * 系统主键
	 */
	@TableId("TRANSACTION_SERVER_ID")
	private String id;
	/**
	 * 系统名称
	 */
	@TableField("SERVER_NAME")
	private String serverName;
	/**
	 * 用户姓名
	 */
	@TableField("USER_NAME")
	private String userName;
	/**
	 * 用户密码
	 */
	@TableField("USER_PASSWORD")
	private String userPassword;
	/**
	 * 接口地址
	 */
	@TableField("SERVER_ADDRESS")
	private String serverAddress;
	/**
	 * 接口方法
	 */
	@TableField("SERVER_METHOD")
	private String serverMethod;
	/**
	 * 系统类型
	 */
	@TableField("SERVER_TYPE")
	private String serverType;
	/**
	 * 使用状态
	 */
	@TableField("USE_STATUS")
	private String useStatus;
	/**
	 * 排序
	 */
	@TableField("SORT_NO")
	private Integer sortNo;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getServerName() {
		return serverName;
	}

	public void setServerName(String serverName) {
		this.serverName = serverName;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserPassword() {
		return userPassword;
	}

	public void setUserPassword(String userPassword) {
		this.userPassword = userPassword;
	}

	public String getServerAddress() {
		return serverAddress;
	}

	public void setServerAddress(String serverAddress) {
		this.serverAddress = serverAddress;
	}

	public String getServerMethod() {
		return serverMethod;
	}

	public void setServerMethod(String serverMethod) {
		this.serverMethod = serverMethod;
	}

	public String getServerType() {
		return serverType;
	}

	public void setServerType(String serverType) {
		this.serverType = serverType;
	}

	public String getUseStatus() {
		return useStatus;
	}

	public void setUseStatus(String useStatus) {
		this.useStatus = useStatus;
	}

	public Integer getSortNo() {
		return sortNo;
	}

	public void setSortNo(Integer sortNo) {
		this.sortNo = sortNo;
	}

	public static final String SORT_NO = "SORT_NO";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "TransactionServerEntity{" + ", transactionServerId=" + id + ", serverName=" + serverName + ", userName="
				+ userName + ", userPassword=" + userPassword + ", serverAddress=" + serverAddress + ", serverMethod="
				+ serverMethod + ", serverType=" + serverType + ", useStatus=" + useStatus + ", sortNo=" + sortNo + "}";
	}

//transactionServerId
}
