package com.gx.obe.server.management.dictionary.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.dictionary.entity.DictLink;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface DictLinkService extends IService<DictLink> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeDictLinkList 
	 */
 	Integer updateByBatch (List<DictLink> ObeDictLinkList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeDictLinkList 
	 */
	Integer insertByBatch (List<DictLink> ObeDictLinkList);
	
	
	/**
	 * @Description: 删除项目的特征码检查项
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	boolean deleteFeatureCheckItem(String tenderId);
	
	/**
	 * @Description:  删除项目的清标检查项
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	boolean deleteCleanTenderItem(String tenderId);
}



