package com.gx.obe.server.management.dictionary.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.dictionary.entity.TemplateLibrary;

import java.util.List;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface TemplateLibraryService extends IService<TemplateLibrary> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeTemplateLibraryList 
	 */
 	Integer updateByBatch (List<TemplateLibrary> ObeTemplateLibraryList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeTemplateLibraryList 
	 */
	Integer insertByBatch (List<TemplateLibrary> ObeTemplateLibraryList);
	
	 List<TemplateLibrary> getTemplateLibraryAll();
	 
	 
	 TemplateLibrary saveOrUpdateNoEmptyReturn(TemplateLibrary templateLibrary);
}



