package com.gx.obe.server.management.editprice.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.gx.obe.server.management.editprice.entity.EditPriceItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface EditPriceItemMapper extends BaseMapper<EditPriceItem> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEditPriceItemList 
	 */
	Integer updateBatchList (List<EditPriceItem> ObeEditPriceItemList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEditPriceItemList 
	 */
	Integer insertByBatch (List<EditPriceItem> ObeEditPriceItemList);
	
	
	/**
	 * @Description: 获取修正报价项列表
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	List<EditPriceItem> getEditPriceItemList(@Param("tenderId")String tenderId);
	
	/**
	 * @Description: 获取偏离性条款修正报价项
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	EditPriceItem getDeviateCaluseEditPriceItem(@Param("tenderId")String tenderId);

}