package com.gx.obe.server.management.im.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.im.entity.GroupMessage;

import java.util.List;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface GroupMessageService extends IService<GroupMessage> {

 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param GroupMessageList 
	 */
 	Integer updateByBatch(List<GroupMessage> GroupMessageList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param GroupMessageList 
	 */
	Integer insertByBatch(List<GroupMessage> GroupMessageList);
	
	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param GroupMessage
	 * @param attributes
     */
    boolean updateAssignProperty(GroupMessage GroupMessage, String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param GroupMessageList
	 * @param attributes
     */
    Integer batchUpdateProperty(List<GroupMessage> GroupMessageList, String[] attributes);
	
	/** 
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param GroupMessageList
	 * @param attributes
	 * @return 
	 */
    Integer batchSaveOrUpdate(List<GroupMessage> GroupMessageList, String[] attributes);
    
    
    List<Object> getGruptMessageByReceiveIdlist(String id);
    
    List<Object> getReceiveIdListByMessageIdAndGroupId(String id, String groupId);
    
    
    int deleteGroupMessageByMessageIdAndGroupIdAndReceiveId(String id, String groupId, String myId) ;
}



