package com.gx.obe.server.management.negotiation.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.negotiation.entity.NegotiationResult;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface NegotiationResultService extends IService<NegotiationResult> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeNegotiationResultList 
	 */
 	Integer updateByBatch (List<NegotiationResult> ObeNegotiationResultList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeNegotiationResultList 
	 */
	Integer insertByBatch (List<NegotiationResult> ObeNegotiationResultList);
	
	/** 
	 * @Description: 删除所有的谈判结果
	 * @author mazc
	 * @param tenderId 项目id
	 * @return 
	 */
	public int deleteStepByTenderId(String tenderId);

}



