package com.gx.obe.server.management.scancode.service;

import com.gx.obe.server.management.scancode.entity.QRCodeDetail;
import com.gx.obe.server.management.scancode.entity.ScanCodeRequest;
import com.gx.obe.server.management.scancode.entity.SetSignHashInfo;

public interface ScanCodeService {

	/**
	 * @Description: 向平台发送扫码详细数据
	 * @author mazc
	 * @param codeDetail
	 * @return 
	 */
	Boolean setQRCodeDetailToAppServer(QRCodeDetail codeDetail);
	
	ScanCodeRequest<String> receiveAppScanData(String type ,String data);
	
	String getSealImageListInfo(String tid ,String idCard,String accessTokenJSON);
	
	String setSignHashInfo(SetSignHashInfo setSignHashInfo); 
}
