package com.gx.obe.server.management.software.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.software.entity.ObeSoftware;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface ObeSoftwareService extends IService<ObeSoftware> {

	/**
     * @Description: 指定字段修改
     * @author mazc
     * @param ObeSoftware
	 * @param attributes
     */
    boolean updateAssignProperty(ObeSoftware ObeSoftware, String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author mazc
     * @param ObeSoftwareList
	 * @param attributes
     */
    Integer batchUpdateProperty(List<ObeSoftware> ObeSoftwareList, String[] attributes);
    
    
    List<ObeSoftware> getSoftwareList(String status);
    
    ObeSoftware getSoftwareByCode(String softwareCode);
    
    
    Boolean createSoftware(ObeSoftware obeOtherSoftware);
    
    
    Boolean deletSoftware(ObeSoftware otherSoftware); 
    
  }
