package com.gx.obe.server.management.table.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.table.entity.ObeBidPriceTableValue;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeBidPriceTableValueMapper extends BaseMapper<ObeBidPriceTableValue> {

    /**
     * @param ObeBidPriceTableValueList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeBidPriceTableValueList") List<ObeBidPriceTableValue> ObeBidPriceTableValueList);

    /**
     * @param ObeBidPriceTableValueList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeBidPriceTableValueList") List<ObeBidPriceTableValue> ObeBidPriceTableValueList);

    /**
     * @param ObeBidPriceTableValue
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeBidPriceTableValue") ObeBidPriceTableValue ObeBidPriceTableValue, @Param("attributes") String[] attributes);

    /**
     * @param ObeBidPriceTableValueList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeBidPriceTableValueList") List<ObeBidPriceTableValue> ObeBidPriceTableValueList, @Param("attributes") String[] attributes);

}