package com.gx.obe.server.management.table.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_bid_price_table_item_collect")
public class ObeBidPriceTableItemCollect extends Model<ObeBidPriceTableItemCollect> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 供应商ID
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 报价明细表ID
     */
    @TableField("PRICE_TABLE_ID")
    private String priceTableId;
    /**
     * 头信息
     */
    @TableField("COLLECT_KEY")
    private String collectKey;
    /**
     * 内容信息
     */
    @TableField("COLLECT_VALUE")
    private String collectValue;

}