package com.gx.obe.server.tripartitefunction.bidata.vo;
import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;
 
public class EntInfo implements Serializable {
	
    /**
	 * 
	 */
	private static final long serialVersionUID = -2690163641073155006L;
	
	/**
	 * 被执行人信息 ,
	 */
	@JsonProperty("PUNISHED")
    private List<Punished> PUNISHED;
	
    /**
     * 严重违法 
     */
    @JsonProperty("BREAKLAW")
    private List<Breaklaw> BREAKLAW;
	
	
	/**
	 * 关联被执行人信息 
	 */
    @JsonProperty("RELATEDPUNISHED")
    private List<Relatedpunished> RELATEDPUNISHED;
    
    /**
     * 变更信息 
     */
    @JsonProperty("ALTER")
    private List<Alter> ALTER;
    
    
    /**
     * 失信被执行人信息 ,
     */
    @JsonProperty("PUNISHBREAK")
    private List<Punishbreak> PUNISHBREAK;
    
    /**
     * 关联失信被执行人信息 ,
     */
    @JsonProperty("RELATEDPUNISHBREAK")
    private List<Relatedpunishbreak> RELATEDPUNISHBREAK;
    
    /**
     * 企业基本信息 ,
     */
    @JsonProperty("BASIC")
    private Basic BASIC;
    
    
    /**
     *  企业异常名录 
     */
    @JsonProperty("EXCEPTIONLIST")
    private List<Exceptionlist> EXCEPTIONLIST;
    

    
    /**
     *  动产抵押-基本信息 ,
     */
    @JsonProperty("MORTGAGEBASIC")
    private List<Mortgagebasic> MORTGAGEBASIC;
    
    
    /**
     * 动产抵押-登记信息 ,
     */
    @JsonProperty("MORTGAGEREG")
    private List<Mortgagereg> MORTGAGEREG;
    
    /**
     * 动产抵押-抵押权人信息 ,
     */
    @JsonProperty("MORTGAGEPER")
    private List<Mortgageper> MORTGAGEPER;
    
    /**
     * 动产抵押-抵押物信息 ,
     */
    @JsonProperty("MORTGAGEPAWN")
    private List<Mortgagepawn> MORTGAGEPAWN;
    
    /**
     * 动产抵押-被担保主债权信息 ,
     */
    @JsonProperty("MORTGAGEDEBT")
    private List<Mortgagedebt> MORTGAGEDEBT;
    
    /**
     * 动产抵押-变更信息 ,
     */
    @JsonProperty("MORTGAGEALT")
    private List<Mortgagealt> MORTGAGEALT;
    
    /**
     * 动产抵押-注销信息 ,
     */
    @JsonProperty("MORTGAGECAN")
    private List<Mortgagecan> MORTGAGECAN;
    
    /**
     *  股权出质信息（新） ,
     */
    @JsonProperty("STOCKPAWN")
    private List<Stockpawn> STOCKPAWN;
    /**
     * 股权出质信息（新）-变更信息 ,
     */
    @JsonProperty("STOCKPAWNALT")
    private List<Stockpawnalt> STOCKPAWNALT;
    
    /**
     * 股权出质信息（新）-注销信息 ,
     */
    @JsonProperty("STOCKPAWNREV")
    private List<Stockpawnrev> STOCKPAWNREV;
    
    /**
     * 行政处罚基本信息 ,
     */
    @JsonProperty("ENTCASEBASEINFO")
    private List<Entcasebaseinfo> ENTCASEBASEINFO;
    /**
     * 司法协助基本信息 ,
     */
    @JsonProperty("JUDICIALAID")
    private List<Judicialaid> JUDICIALAID;
    
    /**
     * 司法协助详情 ,
     */
    @JsonProperty("JUDICIALAIDDETAIL")
    private List<Judicialaiddetail> JUDICIALAIDDETAIL;
    
    /**
     *  司法协助变更信息 ,
     */
    @JsonProperty("JUDICIALAIDALTER")
    private List<Judicialaidalter> JUDICIALAIDALTER;
    
    /**
     * 企业基本信息列表
     */
    @JsonProperty("BASICLIST")
    private Basiclist BASICLIST;
    
	public List<Punished> getPUNISHED() {
		return PUNISHED;
	}
	public void setPUNISHED(List<Punished> pUNISHED) {
		PUNISHED = pUNISHED;
	}
	public List<Relatedpunished> getRELATEDPUNISHED() {
		return RELATEDPUNISHED;
	}
	public void setRELATEDPUNISHED(List<Relatedpunished> rELATEDPUNISHED) {
		RELATEDPUNISHED = rELATEDPUNISHED;
	}
	public List<Alter> getALTER() {
		return ALTER;
	}
	public void setALTER(List<Alter> aLTER) {
		ALTER = aLTER;
	}
	public List<Punishbreak> getPUNISHBREAK() {
		return PUNISHBREAK;
	}
	public void setPUNISHBREAK(List<Punishbreak> pUNISHBREAK) {
		PUNISHBREAK = pUNISHBREAK;
	}
	public List<Relatedpunishbreak> getRELATEDPUNISHBREAK() {
		return RELATEDPUNISHBREAK;
	}
	public void setRELATEDPUNISHBREAK(List<Relatedpunishbreak> rELATEDPUNISHBREAK) {
		RELATEDPUNISHBREAK = rELATEDPUNISHBREAK;
	}
	public Basic getBASIC() {
		return BASIC;
	}
	public void setBASIC(Basic bASIC) {
		BASIC = bASIC;
	}
	public List<Exceptionlist> getEXCEPTIONLIST() {
		return EXCEPTIONLIST;
	}
	public void setEXCEPTIONLIST(List<Exceptionlist> eXCEPTIONLIST) {
		EXCEPTIONLIST = eXCEPTIONLIST;
	}
	public List<Breaklaw> getBREAKLAW() {
		return BREAKLAW;
	}
	public void setBREAKLAW(List<Breaklaw> bREAKLAW) {
		BREAKLAW = bREAKLAW;
	}
	public List<Mortgagebasic> getMORTGAGEBASIC() {
		return MORTGAGEBASIC;
	}
	public void setMORTGAGEBASIC(List<Mortgagebasic> mORTGAGEBASIC) {
		MORTGAGEBASIC = mORTGAGEBASIC;
	}
	public List<Mortgagereg> getMORTGAGEREG() {
		return MORTGAGEREG;
	}
	public void setMORTGAGEREG(List<Mortgagereg> mORTGAGEREG) {
		MORTGAGEREG = mORTGAGEREG;
	}
	public List<Mortgageper> getMORTGAGEPER() {
		return MORTGAGEPER;
	}
	public void setMORTGAGEPER(List<Mortgageper> mORTGAGEPER) {
		MORTGAGEPER = mORTGAGEPER;
	}
	public List<Mortgagepawn> getMORTGAGEPAWN() {
		return MORTGAGEPAWN;
	}
	public void setMORTGAGEPAWN(List<Mortgagepawn> mORTGAGEPAWN) {
		MORTGAGEPAWN = mORTGAGEPAWN;
	}
	public List<Mortgagedebt> getMORTGAGEDEBT() {
		return MORTGAGEDEBT;
	}
	public void setMORTGAGEDEBT(List<Mortgagedebt> mORTGAGEDEBT) {
		MORTGAGEDEBT = mORTGAGEDEBT;
	}
	public List<Mortgagealt> getMORTGAGEALT() {
		return MORTGAGEALT;
	}
	public void setMORTGAGEALT(List<Mortgagealt> mORTGAGEALT) {
		MORTGAGEALT = mORTGAGEALT;
	}
	public List<Mortgagecan> getMORTGAGECAN() {
		return MORTGAGECAN;
	}
	public void setMORTGAGECAN(List<Mortgagecan> mORTGAGECAN) {
		MORTGAGECAN = mORTGAGECAN;
	}
	public List<Stockpawn> getSTOCKPAWN() {
		return STOCKPAWN;
	}
	public void setSTOCKPAWN(List<Stockpawn> sTOCKPAWN) {
		STOCKPAWN = sTOCKPAWN;
	}
	public List<Stockpawnalt> getSTOCKPAWNALT() {
		return STOCKPAWNALT;
	}
	public void setSTOCKPAWNALT(List<Stockpawnalt> sTOCKPAWNALT) {
		STOCKPAWNALT = sTOCKPAWNALT;
	}
	public List<Stockpawnrev> getSTOCKPAWNREV() {
		return STOCKPAWNREV;
	}
	public void setSTOCKPAWNREV(List<Stockpawnrev> sTOCKPAWNREV) {
		STOCKPAWNREV = sTOCKPAWNREV;
	}
	public List<Entcasebaseinfo> getENTCASEBASEINFO() {
		return ENTCASEBASEINFO;
	}
	public void setENTCASEBASEINFO(List<Entcasebaseinfo> eNTCASEBASEINFO) {
		ENTCASEBASEINFO = eNTCASEBASEINFO;
	}
	public List<Judicialaid> getJUDICIALAID() {
		return JUDICIALAID;
	}
	public void setJUDICIALAID(List<Judicialaid> jUDICIALAID) {
		JUDICIALAID = jUDICIALAID;
	}
	public List<Judicialaiddetail> getJUDICIALAIDDETAIL() {
		return JUDICIALAIDDETAIL;
	}
	public void setJUDICIALAIDDETAIL(List<Judicialaiddetail> jUDICIALAIDDETAIL) {
		JUDICIALAIDDETAIL = jUDICIALAIDDETAIL;
	}
	public List<Judicialaidalter> getJUDICIALAIDALTER() {
		return JUDICIALAIDALTER;
	}
	public void setJUDICIALAIDALTER(List<Judicialaidalter> jUDICIALAIDALTER) {
		JUDICIALAIDALTER = jUDICIALAIDALTER;
	}
	public Basiclist getBASICLIST() {
		return BASICLIST;
	}
	public void setBASICLIST(Basiclist bASICLIST) {
		BASICLIST = bASICLIST;
	}
   

}